/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2016 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK



DECLARE 

  e_dir_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_dir_exists, -31003);

  e_does_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_does_not_exists , -31001);

  result boolean;
  
BEGIN

  BEGIN

    result := DBMS_XDB.createfolder('/public/xxas/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/');
    result := DBMS_XDB.createfolder('/public/xxas/emp/view/');

  EXCEPTION
    WHEN e_dir_exists THEN
      NULL;
  END;

  
  BEGIN

    DBMS_XDB.DeleteResource('/public/xxas/emp/view/current-pay-asg-details.xml');

  EXCEPTION
    WHEN e_does_not_exists THEN
      NULL;
  END;

  
  result := DBMS_XDB.createresource('/public/xxas/emp/view/current-pay-asg-details.xml',
'<View title="Current pay asg details" defaultFormHandler="xxas_change_pay_pkg.save_form">
  <EditFields>
    <Container Label="SALARY_EDIT_GROUP">
      <Hidden id="PERSON_ID"/>
      <Hidden id="ASSIGNMENT_ID"/>
      <Hidden id="PAY_PROPOSAL_ID"/>
      <TextInput id="JOB" label="Job" enabled="false" required="false" visible="true"/>
      <TextInput id="GRADE" label="Grade" enabled="false" required="false" visible="true"/>
      <TextInput id="GRADE_RANGE" label="Grade range" enabled="false" required="false" visible="true"/>
      <TextInput id="MID_VALUE" label="Midpoint" enabled="false" required="false" visible="true"/>
      <TextInput id="WORK_HOURS" label="Work hours" enabled="false" required="false" visible="true"/>
      <TextInput id="CURRENCY_NAME" label="Currency" enabled="false" required="false" visible="true"/>
      <TextInput id="PAYROLL_SCHEDULE" label="Payroll schedule" enabled="false" required="false" visible="true"/>
    </Container>
  </EditFields>
</View>' ); 
xxas_forms_pkg.update_forms_resource('/public/xxas/emp/view/current-pay-asg-details.xml');
END;
/
COMMIT;
EXIT;
